%define class Razor
%define version 1.20
%define release 2

# Derived values
%define module  %{class}
%define pname   perl-%{module}
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:        Use the Razor catalog server to filter spam messages
Name: 		razor-agents
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Mail
License:        ARTISTIC
Source0:         http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-makefile.patch
Patch1:         %{name}-redhat.patch
Url: 		http://razor.sourceforge.net
Vendor:         Vipul Ved Prakash <mail@vipul.net>
BuildRequires:	perl
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-build-%(id -nu)/
Requires: 	perl = %{perlver} %{pname} = %{version}
Prereq:         /sbin/chkconfig

%package -n %{pname}
Group:          Development/Perl
Summary:        Perl module %{class}::%{subclass}
Requires:       perl-Digest-SHA1 perl-Time-HiRes perl-Net-Ping perl-MailTools
Obsoletes:      razor-agents-sdk
Provides:       %{module} = %{version}

%description
Vipul's Razor is a distributed, collaborative, spam detection and filtering
network.  Razor establishes a distributed and constantly updating catalogue of
spam in propagation.  This catalogue is used by clients to filter out known 
spam.  On receiving a spam, a Razor Reporting Agent (run by an end-user or a 
troll box) calculates and submits a 20-character unique identification of the
spam (a SHA Digest) to its closest Razor Catalogue Server.  The Catalogue 
Server echos this signature to other trusted servers after storing it in its
database.  Prior to manual processing or transport-level reception, Razor 
Filtering Agents (end-users and MTAs) check their incoming mail against a 
Catalogue Server and filter out or deny transport in case of a signature 
match.  Catalogued spam, once identified and reported by a Reporting Agent, 
can be blocked out by the rest of the Filtering Agents on the network. 

%description -n %{pname}
Implements perl class Razor, a SPAM/UCE filtering agent.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
%{__make}
mv Changes Changes.pod
pod2text Changes.pod > Changes

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

mkdir -p $RPM_BUILD_ROOT/etc/mail/razor
install -m 644 etc/razor.conf $RPM_BUILD_ROOT/etc/mail/razor
install -m 664 etc/whitelist $RPM_BUILD_ROOT/etc/mail/razor

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o \
                             -name ".packlist" -o \
                             -name "*.bs"`

# Remove all empty directories
find $RPM_BUILD_ROOT -type d | tac | xargs rmdir --ign

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}
%{_mandir}/man1/*

%files -n %{pname}
%defattr(-,root,root)
%doc ARTISTIC Changes sample.txt
%{_libdir}
%{_mandir}/man3/*
%{_mandir}/man5/*
%config(noreplace) /etc/mail/razor/razor.conf
%config(noreplace) /etc/mail/razor/whitelist

%changelog
* Fri Apr 25 2003 Michael McLagan <Michael.McLagan@linux.org>
- Rebuilt for perl 5.8.0
* Fri May 03 2002 Michael McLagan <Michael.McLagan@linux.org>
- Rewrote large portion of Makefile.PL to generate man3 & man5 pages
* Tue Apr 30 2002 Michael McLagan <Michael.McLagan@linux.org>
- Update to version 1.20
  Moved perl classes into seperate RPM for use by other programs 
     (Spam Assassin being one)
* Sun Jan 27 2002 Scott Pakin <pakin@uiuc.edu>
- Initial version
